Package Details: apostrophe-git 2.2.0.3.r29.gd5a9fdc-1

Git Clone URL: https://aur.archlinux.org/apostrophe-git.git (read-only, click to copy)
Package Base: apostrophe-git
Description: A distraction free Markdown editor for GNU/Linux made with GTK+
Upstream URL: https://gitlab.gnome.org/somas/apostrophe
Licenses: GPL3
Conflicts: apostrophe
Provides: apostrophe
Submitter: yochananmarqos
Maintainer: yochananmarqos (FabioLolix)
Last Packager: yochananmarqos
Votes: 5
Popularity: 0.52
First Submitted: 2020-04-12 16:24
Last Updated: 2020-06-26 17:48

Latest Comments

FabioLolix commented on 2020-04-12 10:10

@yochananmarqos you can make the new pkgbuild if you want

yochananmarqos commented on 2020-03-31 20:34

This is now apostrophe: https://gitlab.gnome.org/somas/apostrophe

gerhardusmuller commented on 2019-11-14 05:22

Does not build:

makepkg -sri ... python: can't open file 'setup.py': [Errno 2] No such file or directory ==> ERROR: A failure occurred in build(). Aborting...

FabioLolix commented on 2019-08-04 17:46

Hadn't time to look at this package yet, thanks for reporting

yochananmarqos commented on 2019-08-04 17:13

Please add gspell python-regex python-levenshtein python-cairo

eldelacajita commented on 2019-06-23 17:05

The installation process succeeds, but I can't find Uberwriter in the app launcher, nor launch it from the terminal

Anonymous comment on 2019-06-10 19:22

Another missing dependency is gspell:

Traceback (most recent call last):
  File "/usr/bin/uberwriter.in", line 49, in <module>
    import uberwriter
  File "/usr/lib/python3.7/site-packages/uberwriter/__init__.py", line 22, in <module>
    from uberwriter import main_window
  File "/usr/lib/python3.7/site-packages/uberwriter/main_window.py", line 30, in <module>
    from uberwriter.text_view import TextView
  File "/usr/lib/python3.7/site-packages/uberwriter/text_view.py", line 12, in <module>
    gi.require_version('Gspell', '1')
  File "/usr/lib/python3.7/site-packages/gi/__init__.py", line 129, in require_version
    raise ValueError('Namespace %s not available' % namespace)
ValueError: Namespace Gspell not available

katafrakt commented on 2019-05-07 13:10

The package was built ok for me, but it failed to start because of missing python-pypandoc dependency:

Traceback (most recent call last):
  File "/usr/bin/uberwriter.in", line 49, in <module>
    import uberwriter
  File "/usr/lib/python3.7/site-packages/uberwriter/__init__.py", line 22, in <module>
    from uberwriter import window
  File "/usr/lib/python3.7/site-packages/uberwriter/window.py", line 27, in <module>
    from uberwriter.export_dialog import Export
  File "/usr/lib/python3.7/site-packages/uberwriter/export_dialog.py", line 29, in <module>
    from uberwriter import helpers
  File "/usr/lib/python3.7/site-packages/uberwriter/helpers.py", line 25, in <module>
    import pypandoc
ModuleNotFoundError: No module named 'pypandoc'

milk commented on 2019-01-18 05:48

==> Starting prepare()...
patching file de.wolfvollprecht.UberWriter.desktop
Hunk #1 FAILED at 3.
1 out of 1 hunk FAILED -- saving rejects to file de.wolfvollprecht.UberWriter.desktop.rej
patching file setup.py
Hunk #1 FAILED at 76.
1 out of 1 hunk FAILED -- saving rejects to file setup.py.rej
==> ERROR: A failure occurred in prepare().
    Aborting...
Error making: uberwriter-git

flipflop97 commented on 2018-10-15 18:56

@yochananmarqos

I've added pandoc and otf-fira-mono/ttf-fira-mono as dependencies (and some other that I missed), thanks for noticing!

python-gtkspellcheck seems to be hard-bundled with Uberwriter, this would need upstream changes to be able to use the system version. So I've left this out for now.